Bug 65138 - SysRq key is broken
SysRq key is broken
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 22:49 EDT by Dmitry Bolkhovityanov
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-03 14:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitry Bolkhovityanov 2002-05-17 22:49:31 EDT
Description of Problem:
After any usage of SysRq (Alt+PrtSc combination), *any* key press/release is
treated as Alt+PrtSc+?, i.e. prints a short help of SysRq commands.  The
keyboard isn't usable anymore, i.e. it doesn't enter keystrokes and even doesn't
switch consoles.  The only exception is SysRq itself -- those commands still
work, so that one has an ability to cleanly reboot the machine with Alt+PrtSc+S,U,B.

Version-Release number of selected component (if applicable):

How Reproducible: 

Steps to Reproduce:
1. Change kernel.sysrq in /etc/sysctl.conf from "0" to "1" and reboot the
machine ("echo 1 >/proc/sys/kernel/sysrq" should be enough, but I haven't
checked it).
2. Press Alt+PrtSc+?
3. Voila!

Actual Results:
The short help message is printed and any other key begins to be interpreted as

Expected Results:
The short help message is printed and nothing else should happen.

Additional Information:
The machine has Asus P3B-F motherboard (100Mhz) and BTC 5126T PS/2 keyboard (but
this is probably irrelevant).
Comment 1 Pete Zaitcev 2002-06-03 14:47:25 EDT
Arjan, shall I take it?
Comment 2 Pete Zaitcev 2002-07-22 23:33:45 EDT
Try 2.4.18-5.

Note You need to log in before you can comment on or make changes to this bug.